Skip to main content
GET
/
events
/
{eventId}
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/{eventId} \
  --header 'x-api-key: <api-key>'
{
  "eventId": "<string>",
  "isActive": true,
  "isLive": true,
  "category": "<string>",
  "subcategory": "<string>",
  "volumeUsd": "<string>",
  "closeCondition": "<string>",
  "beginAt": "<string>",
  "rulesPdf": "<string>",
  "tags": [
    "<string>"
  ],
  "metadata": {
    "eventId": "<string>",
    "title": "<string>",
    "subtitle": "<string>",
    "slug": "<string>",
    "series": "<string>",
    "closeTime": "<string>",
    "imageUrl": "<string>",
    "isLive": true
  },
  "markets": [
    {
      "marketId": "<string>",
      "openTime": 123,
      "closeTime": 123,
      "resolveAt": "<string>",
      "eventId": "<string>",
      "title": "<string>",
      "marketResultPubkey": "<string>",
      "imageUrl": "<string>",
      "rulesPrimary": "<string>",
      "rulesSecondary": "<string>",
      "outcomes": [
        "<string>"
      ],
      "marketOptions": [
        {
          "label": "<string>",
          "buyYes": true
        }
      ],
      "clobTokenIds": [
        "<string>"
      ],
      "isTeamMarket": true,
      "team": {},
      "sportsLine": 123,
      "sportsMarketType": "<string>",
      "pricing": {
        "buyYesPriceUsd": 123,
        "buyNoPriceUsd": 123,
        "sellYesPriceUsd": 123,
        "sellNoPriceUsd": 123,
        "volume": 123
      }
    }
  ],
  "volume24hr": "<string>",
  "liveScore": "<unknown>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

eventId
string
required

Event identifier

Minimum string length: 1

Query Parameters

includeMarkets
boolean | null
includeAllMarkets
boolean

Include all allowed sports market types (moneyline, spread, totals) and extra (e.g. Saba) markets mapped onto Polymarket events. Defaults to false (moneyline only). F1 events always include every sportsMarketType.

Response

Event data

eventId
string
required

Application-level identifier

isActive
boolean
required

Whether the event is active (listed on events)

isLive
boolean
required

Whether the event is currently live

category
string
required

The category for the event, allowed values: all, crypto, sports, politics, esports, culture, economics, tech

subcategory
string
required

The subcategory for the event

volumeUsd
string
required

Total volume for the event in micro USD

closeCondition
string
required

Close condition for the event

beginAt
string | null
required

Unix timestamp (seconds) when the event begins

rulesPdf
string
required

Document to full rules for the event

tags
string[]

Tags associated with the event

metadata
object
markets
object[]
volume24hr
string

Rolling 24-hour volume in micro USD

liveScore
any | null

Live score data for sports events; null when no score is available